Bug 168649 - Relax Request constructor around referrers
Summary: Relax Request constructor around referrers
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-02-21 01:21 PST by Anne van Kesteren
Modified: 2018-08-20 16:53 PDT (History)
7 users (show)

See Also:


Attachments
Patch (8.88 KB, patch)
2018-08-19 03:35 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews205 for win-future (12.90 MB, application/zip)
2018-08-19 05:47 PDT, EWS Watchlist
no flags Details
Patch (9.55 KB, patch)
2018-08-20 00:59 PDT, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anne van Kesteren 2017-02-21 01:21:43 PST
See https://github.com/whatwg/fetch/pull/377 for the change to the standard.

http://w3c-test.org/fetch/api/policies/referrer-origin.html has a test, but please read https://github.com/w3c/web-platform-tests/issues/2618 for why the first test fails there (and the second test might too I suppose).
Comment 1 Rob Buis 2018-08-19 03:35:57 PDT
Created attachment 347456 [details]
Patch
Comment 2 EWS Watchlist 2018-08-19 05:47:32 PDT
Comment on attachment 347456 [details]
Patch

Attachment 347456 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8908117

New failing tests:
legacy-animation-engine/imported/blink/transitions/unprefixed-transform.html
Comment 3 EWS Watchlist 2018-08-19 05:47:43 PDT
Created attachment 347457 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 4 Darin Adler 2018-08-19 17:06:31 PDT
Comment on attachment 347456 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=347456&action=review

> Source/WebCore/Modules/fetch/FetchRequest.cpp:62
> -        return Exception { TypeError, "Referrer is not same-origin."_s };
> +        return String { "client" };

This, and the code above, should be using String { "client"_s } so we get the ASCIILiteral optimization. Same for "no-referrer"_s.
Comment 5 Rob Buis 2018-08-20 00:59:03 PDT
Created attachment 347486 [details]
Patch
Comment 6 WebKit Commit Bot 2018-08-20 01:42:58 PDT
Comment on attachment 347486 [details]
Patch

Clearing flags on attachment: 347486

Committed r235025: <https://trac.webkit.org/changeset/235025>
Comment 7 WebKit Commit Bot 2018-08-20 01:43:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2018-08-20 16:53:38 PDT
<rdar://problem/43534512>